Page MenuHomePhabricator

Ector.Renderer : Implement Ector.Renderer.(Software).Image class
ClosedPublic

Authored by jsuya on Jul 7 2019, 7:14 PM.

Details

Summary

Implement a class and drawer that outputs image data from the Ector.
Image data is output with a vector object and supports transform.

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 12305
Build 8941: arc lint + arc unit
jsuya created this revision.Jul 7 2019, 7:14 PM
jsuya requested review of this revision.Jul 7 2019, 7:14 PM
Hermet requested changes to this revision.Jul 10 2019, 9:43 PM

Please check comments.

src/lib/ector/ector_renderer_image.eo
9

How about using Ector_Buffer?

ector_renderer_image_buffer_set(image, Ector_buffer);

src/lib/ector/software/ector_renderer_software_image.c
98

Return as soon as possible.

if (pd->opacity == 0) return true;

This revision now requires changes to proceed.Jul 10 2019, 9:43 PM
jsuya updated this revision to Diff 23486.Jul 17 2019, 7:00 PM

Update code that using Ector.Buffer

jsuya updated this revision to Diff 23489.Jul 17 2019, 7:11 PM
jsuya marked 2 inline comments as done.

update code

Hermet requested changes to this revision.Jul 17 2019, 10:22 PM

Please check a comment.

src/lib/ector/ector_renderer_image.eo
4

Should it extend efl.gfx.image?

I think it's not proper to extend efl_gfx_image since this ector renderer image doesn't work for its interfaces.

This revision now requires changes to proceed.Jul 17 2019, 10:22 PM
jsuya updated this revision to Diff 23492.Jul 17 2019, 11:23 PM

remove unnecessary code

jsuya marked an inline comment as done.Jul 17 2019, 11:24 PM
Hermet accepted this revision.Jul 21 2019, 9:28 PM
This revision is now accepted and ready to land.Jul 21 2019, 9:28 PM
This revision was automatically updated to reflect the committed changes.